version: 0.0
os: linux
files:
  - source: /
    destination: /mnt/sg/
file_exists_behavior: OVERWRITE
permissions:
  - object: /mnt/sg/
    pattern: '**'
    mode: '0755'
    owner: ubuntu
    group: ubuntu
    type:
      - file
      - directory
hooks:
  ApplicationStart:
    - location: deploy-scripts/application-start-hook.sh
      timeout: 300
TargetGroup:
    Type: AWS::ElasticLoadBalancingV2::TargetGroup
    Properties:
    TargetGroupAttributes:
        - Key: deregistration_delay.timeout_seconds
          Value: 60
   